which versions for mapserver 4.8.3

classic Classic list List threaded Threaded
2 messages Options
Reply | Threaded
Open this post in threaded view
|

which versions for mapserver 4.8.3

DamienZINS
Hi

I translate version from SOLARIS to Centos 7.x

[root@localhost old]# cat /etc/redhat-release
CentOS Linux release 7.4.1708 (Core)

my differents versions. I compile these sources

[root@localhost old]# grep installation  install.log

>>>>>>>>>> installation de freetype-2.8 <<<<<<<<<<
>>>>>>>>>> installation de zlib-1.2.11 <<<<<<<<<<
>>>>>>>>>> installation de libpng-1.6.32 <<<<<<<<<<
>>>>>>>>>> installation de proj-4.9.3 <<<<<<<<<<
>>>>>>>>>> installation de jpegsrc.v9b <<<<<<<<<<
>>>>>>>>>> installation de libiconv-1.15 <<<<<<<<<<
>>>>>>>>>> installation de libgd-2.2.5 <<<<<<<<<<
>>>>>>>>>> installation de gdal-2.2.1 <<<<<<<<<<
>>>>>>>>>> installation de apr-1.6.2 <<<<<<<<<<
>>>>>>>>>> installation de apr-util-1.6.0 <<<<<<<<<<
>>>>>>>>>> installation de pcre-8.41 <<<<<<<<<<
>>>>>>>>>> installation de httpd-2.4.27 <<<<<<<<<<
>>>>>>>>>> installation de tomcat-connectors-1.2.42-src <<<<<<<<<<
>>>>>>>>>> installation de php-4.4.2 <<<<<<<<<<
checking for Oracle (OCI8) support using ORACLE_HOME installation... no
| distribution in the file LICENSE.  By continuing this installation |
| the installation process at this point.                            |
>>>>>>>>>> installation de mapserver-4.8.3 <<<<<<<<<<

All the compilation are OK, except mapserver , the error is on
gdFontCacheSetup

configure:5660: checking for gdFontCacheSetup in -lgd
configure:5690: gcc -o conftest -g -O2 -fPIC   conftest.c -lgd   -lpng
-L/lib64 -lz  -L  -lm -lstdc++  >&5
/tmp/ccC3N1Py.o: In function `main':
/gmao/old/src/mapserver-4.8.3/conftest.c:24: undefined reference to
`gdFontCacheSetup'
collect2: error: ld returned 1 exit status


my question is  :
is the error come from the version that i use ?




--
Sent from: http://osgeo-org.1560.x6.nabble.com/Mapserver-User-f4226646.html
_______________________________________________
mapserver-users mailing list
[hidden email]
https://lists.osgeo.org/mailman/listinfo/mapserver-users
Reply | Threaded
Open this post in threaded view
|

Re: which versions for mapserver 4.8.3

Daniel Morissette
gdFontCacheSetup was added in GD 2.0.16 and that's what this configure
test is checking for.

Your install.log suggests that you installed GD 2.2.5 from source.
Perhaps double check to make sure that you do not have two versions of
GD on the system (one installed by the OS and one in your custom
builds), in which case the configure script could possibly pick up the
wrong version for the test. Also double check your GD build options to
make sure there is not something disabling gdFontCacheSetup in your build.

Daniel


On 2018-03-06 11:44 AM, DamienZINS wrote:

> Hi
>
> I translate version from SOLARIS to Centos 7.x
>
> [root@localhost old]# cat /etc/redhat-release
> CentOS Linux release 7.4.1708 (Core)
>
> my differents versions. I compile these sources
>
> [root@localhost old]# grep installation  install.log
>>>>>>>>>>> installation de freetype-2.8 <<<<<<<<<<
>>>>>>>>>>> installation de zlib-1.2.11 <<<<<<<<<<
>>>>>>>>>>> installation de libpng-1.6.32 <<<<<<<<<<
>>>>>>>>>>> installation de proj-4.9.3 <<<<<<<<<<
>>>>>>>>>>> installation de jpegsrc.v9b <<<<<<<<<<
>>>>>>>>>>> installation de libiconv-1.15 <<<<<<<<<<
>>>>>>>>>>> installation de libgd-2.2.5 <<<<<<<<<<
>>>>>>>>>>> installation de gdal-2.2.1 <<<<<<<<<<
>>>>>>>>>>> installation de apr-1.6.2 <<<<<<<<<<
>>>>>>>>>>> installation de apr-util-1.6.0 <<<<<<<<<<
>>>>>>>>>>> installation de pcre-8.41 <<<<<<<<<<
>>>>>>>>>>> installation de httpd-2.4.27 <<<<<<<<<<
>>>>>>>>>>> installation de tomcat-connectors-1.2.42-src <<<<<<<<<<
>>>>>>>>>>> installation de php-4.4.2 <<<<<<<<<<
> checking for Oracle (OCI8) support using ORACLE_HOME installation... no
> | distribution in the file LICENSE.  By continuing this installation |
> | the installation process at this point.                            |
>>>>>>>>>>> installation de mapserver-4.8.3 <<<<<<<<<<
>
> All the compilation are OK, except mapserver , the error is on
> gdFontCacheSetup
>
> configure:5660: checking for gdFontCacheSetup in -lgd
> configure:5690: gcc -o conftest -g -O2 -fPIC   conftest.c -lgd   -lpng
> -L/lib64 -lz  -L  -lm -lstdc++  >&5
> /tmp/ccC3N1Py.o: In function `main':
> /gmao/old/src/mapserver-4.8.3/conftest.c:24: undefined reference to
> `gdFontCacheSetup'
> collect2: error: ld returned 1 exit status
>
>
> my question is  :
> is the error come from the version that i use ?
>
>
>
>
> --
> Sent from: http://osgeo-org.1560.x6.nabble.com/Mapserver-User-f4226646.html
> _______________________________________________
> mapserver-users mailing list
> [hidden email]
> https://lists.osgeo.org/mailman/listinfo/mapserver-users
>


--
Daniel Morissette
Mapgears Inc
T: +1 418-696-5056 #201
_______________________________________________
mapserver-users mailing list
[hidden email]
https://lists.osgeo.org/mailman/listinfo/mapserver-users